
From: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>

Signed-off-by: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/vfat/namei.c |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

diff -puN fs/vfat/namei.c~fat-is_badchar-is_replacechr-is_skipchar-cleanup-cleanup fs/vfat/namei.c
--- 25/fs/vfat/namei.c~fat-is_badchar-is_replacechr-is_skipchar-cleanup-cleanup	Tue Jan 18 14:53:38 2005
+++ 25-akpm/fs/vfat/namei.c	Tue Jan 18 14:53:38 2005
@@ -161,23 +161,20 @@ static int vfat_cmp(struct dentry *dentr
 static inline wchar_t vfat_bad_char(wchar_t w)
 {
 	return (w < 0x0020)
-	    || (w == 0x002A) /* * */	|| (w == 0x003F) /* ? */
-	    || (w == 0x003C) /* < */	|| (w == 0x003E) /* > */
-	    || (w == 0x007C) /* | */	|| (w == 0x0022) /* " */
-	    || (w == 0x003A) /* : */	|| (w == 0x002F) /* / */
-	    || (w == 0x005C);/* \ */
+	    || (w == '*') || (w == '?') || (w == '<') || (w == '>')
+	    || (w == '|') || (w == '"') || (w == ':') || (w == '/')
+	    || (w == '\\');
 }
 
 static inline wchar_t vfat_replace_char(wchar_t w)
 {
-	return (w == 0x005B) /* [ */	|| (w == 0x005D) /* ] */
-	    || (w == 0x003B) /* ; */	|| (w == 0x002C) /* , */
-	    || (w == 0x002B) /* + */	|| (w == 0x003D);/* = */
+	return (w == '[') || (w == ']') || (w == ';') || (w == ',')
+	    || (w == '+') || (w == '=');
 }
 
 static wchar_t vfat_skip_char(wchar_t w)
 {
-	return (w == 0x002E) /* . */	|| (w == 0x0020);/* <space> */
+	return (w == '.') || (w == ' ');
 }
 
 static inline int vfat_is_used_badchars(const wchar_t *s, int len)
_
